Package org.apache.lucene.analysis.ko

# Class KoreanNumberFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.ko.KoreanNumberFilterFactory

public class KoreanNumberFilterFactory extends TokenFilterFactory
Factory for `KoreanNumberFilter`.

     <fieldType name="text_ko" class="solr.TextField">
       <analyzer>
         <tokenizer class="solr.KoreanTokenizerFactory" discardPunctuation="false"/>
         <filter class="solr.KoreanNumberFilterFactory"/>
       </analyzer>
     </fieldType>

It is important that punctuation is not discarded by the tokenizer so use `discardPunctuation="false"` in your `KoreanTokenizerFactory`.

Since:
  8.2.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "koreanNumber"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
SPI name

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`KoreanNumberFilterFactory()`
Default ctor for compatibility with SPI
`KoreanNumberFilterFactory(Map<String,String> args)`

## Method Summary

Modifier and Type
Method
Description
`TokenStream`
`create(TokenStream input)`

### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
SPI name

See Also:
  - Constant Field Values

## Constructor Details

### KoreanNumberFilterFactory

public KoreanNumberFilterFactory(Map<String,String> args)

### KoreanNumberFilterFactory

public KoreanNumberFilterFactory()
Default ctor for compatibility with SPI

## Method Details

### create

public TokenStream create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`